# hpilo_boot – Boot system using specific media through HP iLO interface

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module boots a system through its HP iLO interface. The boot media can be one of: cdrom, floppy, hdd, network or usb.

- This module requires the hpilo python module.

## Requirements

The below requirements are needed on the host that executes this module.

- python-hpilo

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

force
boolean

Choices:
- no ←
- yes

Whether to force a reboot (even when the system is already booted).
As a safeguard, without force, hpilo_boot will refuse to reboot a server that is already running.

host - / required |  | The HP iLO hostname/address that is linked to the physical system.
image - |  | The URL of a cdrom, floppy or usb boot media image. protocol://username:password@hostname:port/filename protocol is either 'http' or 'https' username:password is optional port is optional
login - | Default: "Administrator" | The login name to authenticate to the HP iLO interface.

media
-

Choices:
- cdrom
- floppy
- hdd
- network
- normal
- usb

The boot media to boot the system from

password - | Default: "admin" | The password to authenticate to the HP iLO interface.

ssl_version
-
added in 2.4

Choices:
- SSLv3
- SSLv23
- TLSv1 ←
- TLSv1_1
- TLSv1_2

Change the ssl_version used.

state
-

Choices:
- boot_always
- boot_once ←
- connect
- disconnect
- no_boot
- poweroff

The state of the boot media.
no_boot: Do not boot from the device
boot_once: Boot from the device once and then notthereafter
boot_always: Boot from the device each time the server is rebooted
connect: Connect the virtual media device and set to boot_always
disconnect: Disconnects the virtual media device and set to no_boot
poweroff: Power off the server

## Notes

Note

- To use a USB key image you need to specify floppy as boot media.

- This module ought to be run from a system that can access the HP iLO interface directly, either by using `local_action` or using `delegate_to`.

## Examples

    - name: Task to boot a system using an ISO from an HP iLO interface only if the system is an HP server
      hpilo_boot:
        host: YOUR_ILO_ADDRESS
        login: YOUR_ILO_LOGIN
        password: YOUR_ILO_PASSWORD
        media: cdrom
        image: http://some-web-server/iso/boot.iso
      when: cmdb_hwmodel.startswith('HP ')
      delegate_to: localhost

    - name: Power off a server
      hpilo_boot:
        host: YOUR_ILO_HOST
        login: YOUR_ILO_LOGIN
        password: YOUR_ILO_PASSWORD
        state: poweroff
      delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Dag Wieers (@dagwieers)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.